#!/bin/sh

set -xe

if [ "$1" = "debug" ]; then
  make -B all_kernel buildtype=debug
else
  make -B all_kernel
fi

make -B all_libsystem
make -B all_liballoc
make -B all_libprocess
make -B all_libterminal
make -B all_libstring
make -B all_libkb
make -B all_libaux
make -B all_libarena
make -B all_libioutil
make -B all_apps
make -B all_dist
./aux/limine_iso_amd64.sh
